Skip to main content
POST
/
v1
/
exports
Enqueue a workspace export
curl --request POST \
  --url https://api.notion.com/admin/v1/exports \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'Notion-Version: <notion-version>' \
  --data '
{
  "on_behalf_of_user_email": "<string>",
  "space_id": "<string>",
  "flatten_export_filetree": true,
  "include_comments": true,
  "locale": "<string>",
  "teamspace_ids": [
    "<string>"
  ],
  "time_zone": "<string>"
}
'
{
  "status": "<string>",
  "task_id": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://developers.notion.com/llms.txt

Use this file to discover all available pages before exploring further.

The organization bot token must have the following scopes:
  • workspace:export

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Notion-Version
enum<string>
required

The Admin API version to use for this request.

Available options:
2026-06-01

Body

application/json
export_type
enum<string>
required
Available options:
html,
markdown,
pdf
on_behalf_of_user_email
string
required
space_id
string
required
collection_view_export_type
enum<string>
Available options:
all,
currentView
flatten_export_filetree
boolean
include_comments
boolean
include_contents
enum<string>
Available options:
everything,
no_files
locale
string
pdf_format
enum<string>
Available options:
A3,
A4,
Legal,
Letter,
Tabloid
teamspace_ids
string[]
time_zone
string

Response

status
string
required
task_id
string
required